#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# WebGLGraphics Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLGraphics.js:5`
Module: PIXI

A set of functions used by the webGL renderer to draw the primitive graphics data

- Index
- Methods

## Item Index

### Methods

- buildCircle static
- buildLine static
- buildPoly static
- buildRectangle static
- buildRoundedRectangle static
- renderGraphics static
- updateGraphics static

## Methods

### `buildCircle`

(

- `graphicsData`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:408`

Builds a circle to draw

#### Parameters:

- `graphicsData` Graphics

  The graphics object to draw

- `webGLData` Object

### `buildLine`

(

- `graphicsData`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:480`

Builds a line to draw

#### Parameters:

- `graphicsData` Graphics

  The graphics object containing all the necessary properties

- `webGLData` Object

### `buildPoly`

(

- `graphicsData`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:693`

Builds a complex polygon to draw

#### Parameters:

- `graphicsData` Graphics

  The graphics object containing all the necessary properties

- `webGLData` Object

### `buildRectangle`

(

- `graphicsData`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:221`

Builds a rectangle to draw

#### Parameters:

- `graphicsData` Graphics

  The graphics object containing all the necessary properties

- `webGLData` Object

### `buildRoundedRectangle`

(

- `graphicsData`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:290`

Builds a rounded rectangle to draw

#### Parameters:

- `graphicsData` Graphics

  The graphics object containing all the necessary properties

- `webGLData` Object

### `renderGraphics`

(

- `graphics`
- `renderSession`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:17`

Renders the graphics object

#### Parameters:

- `graphics` Graphics
- `renderSession` Object

### `updateGraphics`

(

- `graphicsData`
- `gl`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:87`

Updates the graphics object

#### Parameters:

- `graphicsData` Graphics

  The graphics object to update

- `gl` WebGLContext

  the current WebGL drawing context